【漏洞预警】CNNVD 关于Fastjson 远程代码执行漏洞情况的通报

发布时间:2019-07-12   

       近日,国家信息安全漏洞库(CNNVD)收到关于Fastjson远程代码执行漏洞(CNNVD-201907-699)情况的报送,此漏洞为2017年Fastjson 1.2.24 版本反序列化漏洞的延伸利用。攻击者可以通过发送精心构造的请求包在使用Fastjson的服务器上远程执行恶意代码。Fastjson1.2.51以下版本均受漏洞影响。目前,厂商未发表声明,但可通过升级Fastjson到最新版本修补漏洞带来的危害,建议用户及时确认是否受到漏洞影响,尽快采取修补措施。

一、漏洞介绍

       Fastjson是一个Java语言编写的JSON库。Fastjson 存在远程代码执行漏洞(CNNVD-201907-699),当应用或系统使用 Fastjson 对由用户可控的 JSON 字符串数据进行解析时,可触发远程代码执行漏洞。该漏洞为2017 年Fastjson 1.2.24版本反序列化漏洞的延伸利用。攻击者可以通过发送精心构造的请求包在使用Fastjson的服务器上远程执行恶意代码。

二、危害影响

       成功利用该漏洞的攻击者在使用Fastjson的服务器上远程执行恶意代码。Fastjson1.2.51以下版本均受漏洞影响。

三、修复建议

       目前,厂商未发表声明,但可通过升级Fastjson到最新版本1.2.58修补漏洞带来的危害,具体方法如下:

       https://github.com/alibaba/fastjson/wiki/update_faq_20190722

       本通报由CNNVD技术支撑单位——知道创宇404实验室、北京天融信网络安全技术有限公司、奇安信科技集团股份有限公司、北京长亭科技有限公司、上海斗象信息科技有限公司提供支持。

       CNNVD将继续跟踪上述漏洞的相关情况,及时发布相关信息。如有需要,可与CNNVD联系。

       联系方式: cnnvd@itsec.gov.cn



漏洞预警快速查询